#include "stdafx.h"
#include "CalcIntgrt.h"
#include "calcNormal.h"

namespace calcnormal {

	using namespace System;
	using namespace myLib;
	using namespace calcnormal;

	double knormal( double z ){
		return Math::Exp(-0.5 * z * z);
	}


	double Cum_Normal( double z ) {
		double p;
		if (z == 0.0){
			p = 0.5;
		}else if(z > 0.0){
			AdaptiveGL agl;
			p = 0.5 + agl.integral( 0.0, z, knormal ) / Math::Sqrt(2.0 * Math::PI);
		} else {
			AdaptiveGL agl;
			p = 0.5 - agl.integral( z, 0.0, knormal ) / Math::Sqrt(2.0 * Math::PI);
		}

		return p;
	}
}
